<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema targetNamespace="http://www.hkicl.com.hk/tr" elementFormDefault="qualified" attributeFormDefault="unqualified"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:fpml="http://www.fpml.org/FpML-5/reporting"
	xmlns="http://www.hkicl.com.hk/tr">

	<xsd:import namespace="http://www.fpml.org/FpML-5/reporting" schemaLocation="hkicl-tr-fpml-extended.xsd" />
	<xsd:include schemaLocation="hkicl-tr-shared.xsd" />
	
	<xsd:complexType name="ValuationReportRetracted">
		<xsd:complexContent>
			<xsd:extension base="fpml:ValuationReportRetracted">
				<xsd:sequence>
					<xsd:element name="valuationDate" type="xsd:date">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Contains the valuation date of valuation record to be deleted.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<xsd:complexType name="ValuationReportAcknowledgement">
		<xsd:complexContent>
			<xsd:extension base="fpml:Acknowledgement">
				<xsd:sequence>
					<xsd:element name="tradeIdentifier" type="fpml:TradeIdentifier" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">It contains the TR trade reference of the trade involved.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	
	<xsd:complexType name="ReportContents">
		<xsd:complexContent>
			<xsd:extension base="fpml:ReportContents">
				<xsd:sequence>
					<xsd:element name="additionalComments" type="xsd:string" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Additional Comments</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="remarks1" type="xsd:normalizedString" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Remark 1</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="remarks2" type="xsd:normalizedString" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Remark 2</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="remarks3" type="xsd:normalizedString" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Remark 3</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- Element declaration -->
	<xsd:element name="valuationReportRetracted" type="ValuationReportRetracted">
		<xsd:annotation>
			<xsd:documentation xml:lang="en">It is used to delete the valuation record on a particular valuation date for the reporting trade.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:element name="valuationReportAcknowledgement" type="ValuationReportAcknowledgement">
		<xsd:annotation>
			<xsd:documentation xml:lang="en">The positive response to an FpML valuation request.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	
</xsd:schema>
